Bug 1409585 - Review Request: perl-bignum - Transparent big number support for Perl
Summary: Review Request: perl-bignum - Transparent big number support for Perl
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-02 14:35 UTC by Petr Pisar
Modified: 2017-01-06 11:14 UTC (History)
2 users (show)

Fixed In Version: perl-bignum-0.47-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-06 11:14:10 UTC
Type: ---
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Petr Pisar 2017-01-02 14:35:31 UTC
Spec URL: https://ppisar.fedorapeople.org/perl-bignum/perl-bignum.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-bignum/perl-bignum-0.47-1.fc26.src.rpm
Description:
This package attempts to make it easier to write scripts that use BigInts and
BigFloats in a transparent way.

Fedora Account System Username: ppisar

Comment 1 Jitka Plesnikova 2017-01-05 13:24:28 UTC
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-bignum-0.47-1.fc26.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.24.0)
      1 perl(:VERSION) >= 5.6.0
      1 perl(Carp)
      1 perl(Exporter)
      1 perl(Math::BigFloat)
      1 perl(Math::BigInt) >= 1.999718
      1 perl(Math::BigRat) >= 0.12
      1 perl(bigint)
      1 perl(constant)
      1 perl(overload)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-bignum-0.47-1.fc26.noarch.rpm | sort | uniq -c
      1 perl(Math::BigFloat::Trace) = 0.47
      1 perl(Math::BigInt::Trace) = 0.47
      1 perl(bigint) = 0.47
      1 perl(bignum) = 0.47
      1 perl(bigrat) = 0.47
      1 perl-bignum = 0.47-1.fc26
Binary provides are Ok.

$ rpmlint ./perl-bignum*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Rpmlint is ok

The package looks good.
Approved

Comment 2 Gwyn Ciesla 2017-01-05 14:05:09 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-bignum

Comment 3 Petr Pisar 2017-01-06 09:37:23 UTC
Thank you for the review and the repository.

Comment 4 Petr Pisar 2017-01-06 11:14:10 UTC
Sub-package disabled in perl-5.24.0-383.fc26.


Note You need to log in before you can comment on or make changes to this bug.